Bug 427806 - tgif: SIGFPE signal received
tgif: SIGFPE signal received
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tgif (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 12:12 EST by Massimo Canonico
Modified: 2008-03-21 18:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.1.45-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimo Canonico 2008-01-07 12:12:15 EST
Description of problem:

I have tested tgif in various fedora 8 installation, but no one can properly run
tgif by "yum install" command".

In particular, on fedora 8 32bit after "yum install tgif" without problem, if I
try to use tgif I got this error:

[user@shrek ~]# tgif
Warning: No type converter registered for 'String' to 'Bitmap' conversion.
Cannot load fontset specified by Tgif.MenuFontSet:
'-*-helvetica-medium-r-normal--12-*-*-*-*-*-*-*,-alias-*-medium-r-normal--12-*-*-*-*-*-*-*'.
Warning: Cannot set InitialFont to 'Ryumin'.
SIGFPE signal received. 

Version-Release number of selected component (if applicable):


How reproducible:

"yum install tgif"

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Using the rpm on tgif's homepage
ftp://bourbon.usc.edu/pub/tgif/bin/linux-glibc/4.1.45/tgif-4.1.45-1.i386.rpm
I'm able to run it properly.

I have contacted the tgif's developers and he has no idea what is the problem,
he said:"

So, I'm guessing that the
executable may be compiled with different flags (or the code
has been modified).  I guess it would be difficult to figure"
Comment 1 Takanori MATSUURA 2008-01-07 21:03:36 EST
/usr/share/X11/app-defaults/Tgif is bad for non-ja_JP locale users.
I think /usr/share/X11/app-defaults/Tgif should be removed.

As far as I tested, warning messages has been vanished after removing the
app-defaults file on C locale.

If you have not installed neither sazanami-fonts-gothic package (for
-alias-*-medium... fonts) nor -*-helvetica-medium... fonts, Tgif.MenuFontSet
warning may be shown.
And if you have not installed fonts-japanese package, Ryumin warning may be shown.

Anyway, removing /usr/share/X11/app-defaults/Tgif will (hopefully) fix this bug.
Comment 2 Takanori MATSUURA 2008-01-07 21:06:52 EST
But I don't know what makes SIGFPE signal.
Probably it is in the tgif source, not netpbm as you say at
http://forums.fedoraforum.org/showthread.php?p=930125
Comment 3 Mamoru TASAKA 2008-01-08 01:48:05 EST
(In reply to comment #1)
> /usr/share/X11/app-defaults/Tgif is bad for non-ja_JP locale users.
> I think /usr/share/X11/app-defaults/Tgif should be removed.
> 
> As far as I tested, warning messages has been vanished after removing the
> app-defaults file on C locale.
> 
> If you have not installed neither sazanami-fonts-gothic package (for
> -alias-*-medium... fonts) nor -*-helvetica-medium... fonts, Tgif.MenuFontSet
> warning may be shown.
> And if you have not installed fonts-japanese package, Ryumin warning may be shown.
> 
> Anyway, removing /usr/share/X11/app-defaults/Tgif will (hopefully) fix this bug.

Well, I
- removed fonts-japanese, samazami fonts related packages
- removed some 100dpi/75dpi xorg-x11-fonts packages
- and executed tgif in en_US.UTF-8 locale

Then I got the same warnings but still did not receive SIGFPE...
For now this is not reproducible to me. Massimo, would you attach
here the backtrace from gdb?
Comment 4 Massimo Canonico 2008-01-08 02:41:22 EST
Well,
- removing /usr/share/X11/app-defaults/Tgif everything works fine: no warnings
nor  SIGFPE

- how can I generate backtrace? 
[mex@shrek games]$ gdb tgif
GNU gdb Red Hat Linux (6.6-39.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
"/usr/bin/tgif": not in executable format: File format not recognized


Cheers,
 M
Comment 5 Mamoru TASAKA 2008-01-08 02:49:02 EST
Oh, sorry. Take gdb against /usr/libexec/tgif.
Comment 6 Massimo Canonico 2008-01-08 02:54:04 EST
[mex@shrek games]$  gdb /usr/libexec/tgif
GNU gdb Red Hat Linux (6.6-39.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/f3/d9aa89b1f55da8e5bcda0a109967d8c199ca01.debug
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) bt
No stack.
(gdb) bt 5
No stack.
(gdb) backtrace 5
No stack.
Comment 7 Mamoru TASAKA 2008-01-08 03:03:06 EST
Please install needed debuginfo rpms. At least tgif-debuginfo rpm
is needed. Perhaps the following URL is useful.
https://www.redhat.com/archives/fedora-devel-list/2008-January/msg00307.html

Also, you have to "run" tgif when gdb prompt appears.
Comment 8 Mamoru TASAKA 2008-03-16 20:22:54 EDT
Well, this time I removed Tgif.ad from non-Japanese locale and
add Requires for xorg-x11-fonts-75dpi. Would you try below?

http://koji.fedoraproject.org/koji/taskinfo?taskID=518677
Comment 9 Fedora Update System 2008-03-19 12:23:32 EDT
tgif-4.1.45-6.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-03-19 12:25:15 EDT
tgif-4.1.45-6.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-03-21 18:06:44 EDT
tgif-4.1.45-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-03-21 18:07:50 EDT
tgif-4.1.45-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.